View Issue Details

IDProjectCategoryView StatusLast Update
13467Bug reports[All Projects] Translationpublic2018-03-15 13:41
ReporterpmonstadAssigned Tomarkusfluer 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.5.x 
Summary13467: Untranslated last element in bread crumbs
DescriptionThe last element in the bread crumbs is not picked from language file in several occurrences. When editing a survey the last element should correspond to the menu element in the left panel menu. This is not always true. E.g. is Text element an element not picked from language file. Try each menu in the left panel and several of them are untranslated. See screenshot for the example with Text elements.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.0+180309
I will donate to the project if issue is resolvedNo
Database & DB-Versionall
Operating System (Server)all
Webserver software & versionall
PHP Versionall




2018-03-09 19:10




2018-03-12 10:35

administrator   ~47008

@markusfluer, the gT()'s in LsDefaultDataSets are wrong - if you install in English, they will be saved in English, and thus only the English translation will be saved. The correct way is to _always_ save the English string, and then use gT() in the output view, like gT($string_from_database). Or maybe you're already using gT() in the views?


2018-03-12 10:52

updater   ~47012

Sorry, I don't understand. I have installed LS and have choosen Norwegian during installation process. I have no clue about what gT() views are...


2018-03-12 11:36

administrator   ~47015

@pmonstad, that was a comment to Markus.


2018-03-12 12:00

updater   ~47016

Oh, spotted it now ;-)


2018-03-12 12:24

developer   ~47019

Fix committed to master branch:

Related Changesets

LimeSurvey: master 1fc837b3

2018-03-12 12:20:56


Details Diff
Fixed issue 13467: Untranslated last element in bread crumbs
mod - application/views/admin/survey/breadcrumb.php Diff File

Issue History

Date Modified Username Field Change
2018-03-09 19:10 pmonstad New Issue
2018-03-09 19:10 pmonstad File Added: Skjermbilde 2018-03-09 kl. 19.06.55.png
2018-03-12 10:32 olle Assigned To => markusfluer
2018-03-12 10:32 olle Status new => assigned
2018-03-12 10:35 olle Note Added: 47008
2018-03-12 10:52 pmonstad Note Added: 47012
2018-03-12 11:36 olle Note Added: 47015
2018-03-12 12:00 pmonstad Note Added: 47016
2018-03-12 12:22 markusfluer Status assigned => resolved
2018-03-12 12:22 markusfluer Resolution open => fixed
2018-03-12 12:22 markusfluer Fixed in Version => 3.5.x
2018-03-12 12:24 markusfluer Changeset attached => LimeSurvey master 1fc837b3
2018-03-12 12:24 markusfluer Note Added: 47019
2018-03-15 13:41 olle Status resolved => closed